Bug 1441677 - Improve kexec / kdump documentation (introduce proper man pages for kexec and kdump and remove how-to's)
Summary: Improve kexec / kdump documentation (introduce proper man pages for kexec and...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bhupesh Sharma
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 12:44 UTC by Bhupesh Sharma
Modified: 2018-11-30 23:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:47:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Bhupesh Sharma 2017-04-12 12:44:55 UTC
Description of problem:


Presently it seems that the kdump/kexec documentation is scattered
over several files which is not very intuitive for a user/system admin
installing the kexec-tools rpm on his system.

We have presently the following documentation helpers. I propose to
make the following changes to the overall documentation:

1. kexec-kdump-howto.txt and fadump-howto.txt:

Background:
----------------
Contains very descriptive information about kdump and kexec, but is
normally not the first place where a user/system admin looks for
information when he installs the kexec-tools.

Proposal:
------------
To deprecate these howto and move the information from here to
respective man pages for kdump, kexec, kdumpctl and kdump.conf

This will avoid duplication of similar information and also ensure
that the user/system admin has the right man pages at his disposal.

2. man page for kdump / kdump service:

Background:
----------------
One doesn't exist yet for kdump service. The existing one is a placeholder only.

Proposal:
------------
Add a proper man page for kdump (one lines of the man page for dracut)
which links properly to man pages for kdumpctl and kdump.conf (again
see man page for dracut.conf for details).

Move the relevant kdump information from kexec-kdump-howto.txt and
fadump-howto.txt to here.

3. man page for kexec:

Background:
----------------
Descriptive man page exists.

Proposal:
------------
Move the relevant kexec information from kexec-kdump-howto.txt and
fadump-howto.txt to here.

4. man page for kdumpctl:

Background:
----------------
Descriptive man page exists.

Proposal:
------------
Link this to man page of kdump or kdump service


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jan Kurik 2017-08-15 07:34:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Bhupesh Sharma 2018-07-26 10:39:06 UTC
Submitted a patch for fedora kexec-tools today to address the kdump tool which can be seen here: https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/thread/BY6HGRRG7AVUEJZJD2GA7LIA24C4TWO5/

Comment 4 Ben Cotton 2018-11-27 13:30:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 23:47:05 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.